Bug 1119738 - [RFE] Support RFC 5649: Advanced Encryption Standard (AES) Key Wrap with Padding Algorithm
Summary: [RFE] Support RFC 5649: Advanced Encryption Standard (AES) Key Wrap with Padd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssl
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On:
Blocks: 1115294 1121658 1249775
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:03 UTC by Petr Spacek
Modified: 2015-08-03 19:06 UTC (History)
7 users (show)

Fixed In Version: openssl-1.0.1e-37.el7
Doc Type: Enhancement
Doc Text:
The key wrapping support according to RFC 5649 was added to the EVP API.
Clone Of:
: 1121658 (view as bug list)
Environment:
Last Closed: 2015-03-05 11:03:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0478 normal SHIPPED_LIVE openssl bug fix and enhancement update 2015-03-05 15:44:08 UTC

Description Petr Spacek 2014-07-15 12:03:15 UTC
Description of problem:
Support for RFC 5649 is a requirement for DNSSEC support in FreeIPA.

Patches were sent upstream: http://rt.openssl.org/Ticket/Display.html?id=3434

Comment 1 Petr Spacek 2014-07-21 08:05:17 UTC
Support was merged upstream. Please see upstream commit: https://github.com/openssl/openssl/commit/d31fed73e25391cd71a0de488d88724db78f6f8a

Could we delete condNAK: upstream?

Comment 11 Jiri Herrmann 2014-12-12 15:31:53 UTC
If this Feature should be included in the 7.1 Release Notes, could you please change the Doc Type from Enhancement to "Release Note"?

Note that the Release Notes are intended to list the most prominent and customer-relevant new features rather than every single enhancement.

Cheers,
Jirka

Comment 12 Tomas Mraz 2015-01-02 10:12:05 UTC
No release note needed.

Comment 14 errata-xmlrpc 2015-03-05 11:03:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0478.html


Note You need to log in before you can comment on or make changes to this bug.